package com.hxhq.business.form.sj;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Compare;

import java.util.Date;

/**
 * 试剂编辑
 */
public class SjBjForm {

    private Long id;

    /** 名称 */
    private String mc;

    /** 编号 */
    private String bh;

    /** 浓度/含量/纯度 */
    private String nd;

    /** 浓度单位 */
    private String nddw;

    /** 库存 */
    private String kc;

    /** 库存单位 */
    private String kcdw;

    /** 存储条件 */
    private String cctj;

    /** 存储位置 */
    private String ccwz;

    /** 失效日 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sxr;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    private String qmrmm;

    /** 签名备注 */
    private String qmbz;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getNddw() {
        return nddw;
    }

    public void setNddw(String nddw) {
        this.nddw = nddw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getCcwz() {
        return ccwz;
    }

    public void setCcwz(String ccwz) {
        this.ccwz = ccwz;
    }

    public Date getSxr() {
        return sxr;
    }

    public void setSxr(Date sxr) {
        this.sxr = sxr;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getQmbz() {
        return qmbz;
    }

    public void setQmbz(String qmbz) {
        this.qmbz = qmbz;
    }
}
